petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatColoringSetType

Sets the type of coloring algorithm used

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringSetType(MatColoring mc,MatColoringType type)

Collective on MatColoring Many br

### Input Parameter

| mc | - the MatColoring context Many br
| type | - the type of coloring Many br

Many br

Notes: Possible types include the sequential types MATCOLORINGLF, Many brMATCOLORINGSL, and MATCOLORINGID from the MINPACK package as well Many bras a parallel MATCOLORINGMIS algorithm. Many br

### Keywords

Coloring, type

### See Also

MatColoringCreate(), MatColoringApply()

Level:beginner
Location:src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex16.c.html